<?php require_once( '../couch/cms.php' ); ?>
    <cms:template title='Login' hidden='1' />

    <!-- every template dealing with members has to begin with the following tag -->
    <cms:member_check_login />

    <!-- now the real work -->
    <cms:if k_member_logged_in >

        <!-- this 'login' template also handles 'logout' requests. Check if this is so -->
        <cms:set action="<cms:gpc 'act' method='get'/>" />
    
        <cms:if action='logout' >
            <cms:member_process_logout />
        <cms:else />  
            <!-- what is an already logged-in member doing on the login page? Send back to homepage. -->
            <cms:redirect k_site_link />
        </cms:if>
    
    <cms:else />
        
        <!-- show the login form -->
        <h1>Login</h1>
        
        <cms:form method="post" anchor='0'>
            <cms:if k_success >
                <!-- 
                    The 'member_process_login_form' tag below expects fields named 
                    'member_name', 'member_password' and (optionally) 'member_remember'
                -->
                <cms:member_process_login_form />
                
            </cms:if>
            
            <cms:if k_error >
                <h3><font color='red'><cms:show k_error /></font></h3>
            </cms:if>
            
            
            Username (your email): <br/>
            <cms:input type='text' name='member_name' /> <br/>
            
            Password: <br />
            <cms:input type='password' name='member_password' /> <br/>
            
            <!-- if 'remember me' function is not required, the following checkbox can be omitted -->
            <cms:input type='checkbox' name="member_remember" opt_values='Remember me=1' /> <br/>
            
            <input type="submit" value="Login" name="submit"/>
        </cms:form>
        
        <!-- optionally display links for 'Create account' and 'Lost password' -->
        Not signed up yet? <a href="<cms:link k_member_registration_template />" />Create an account here.</a> <br>
        Forgot your password? <a href="<cms:link k_member_lost_password_template />" />Click here.</a>
        
        
    </cms:if>
<?php COUCH::invoke(); ?>